[@rxap/ngx-bootstrap](../wiki/globals) / Application

# Class: `abstract` Application\<Config, Ref\>

Defined in: [application.ts:33](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L33)

## Extended by

- [`ModuleApplication`](../wiki/Class.ModuleApplication)
- [`StandaloneApplication`](../wiki/Class.StandaloneApplication)

## Type Parameters

• **Config** *extends* `object`

• **Ref** *extends* [`RefWithInjector`](../wiki/Interface.RefWithInjector)

## Constructors

### new Application()

> **new Application**\<`Config`, `Ref`\>(`environment`, `options`, `configLoadOptions`?): [`Application`](../wiki/Class.Application)\<`Config`, `Ref`\>

Defined in: [application.ts:41](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L41)

#### Parameters

##### environment

`Environment`

##### options

`Config` = `...`

##### configLoadOptions?

`ConfigLoadOptions`

#### Returns

[`Application`](../wiki/Class.Application)\<`Config`, `Ref`\>

## Properties

### app

> **app**: `null` \| `Ref` = `null`

Defined in: [application.ts:35](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L35)

***

### config

> **config**: `null` \| `ConfigService`\<`Record`\<`string`, `any`\>\> = `null`

Defined in: [application.ts:37](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L37)

***

### configLoadOptions?

> `readonly` `optional` **configLoadOptions**: `ConfigLoadOptions`

Defined in: [application.ts:44](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L44)

***

### environment

> `readonly` **environment**: `Environment`

Defined in: [application.ts:42](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L42)

***

### logger

> **logger**: `null` \| `NGXLogger` = `null`

Defined in: [application.ts:36](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L36)

***

### options

> `readonly` **options**: `Config`

Defined in: [application.ts:43](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L43)

## Methods

### after()

> **after**(`fnc`): `void`

Defined in: [application.ts:86](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L86)

#### Parameters

##### fnc

[`ApplicationAfterFunction`](../wiki/TypeAlias.ApplicationAfterFunction)\<`Ref`\>

#### Returns

`void`

***

### before()

> **before**(`fnc`): `void`

Defined in: [application.ts:82](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L82)

#### Parameters

##### fnc

[`ApplicationBeforeFunction`](../wiki/TypeAlias.ApplicationBeforeFunction)\<`Config`\>

#### Returns

`void`

***

### bootstrap()

> **bootstrap**(): `Promise`\<`void`\>

Defined in: [application.ts:47](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L47)

#### Returns

`Promise`\<`void`\>

***

### create()

> `abstract` `protected` **create**(): `Promise`\<`Ref`\>

Defined in: [application.ts:112](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L112)

#### Returns

`Promise`\<`Ref`\>

***

### handleAfter()

> `protected` **handleAfter**(`app`, `logger`, `config`): `Promise`\<`void`\>

Defined in: [application.ts:96](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L96)

#### Parameters

##### app

`Ref`

##### logger

`NGXLogger`

##### config

`ConfigService`

#### Returns

`Promise`\<`void`\>

***

### handleBefore()

> `protected` **handleBefore**(`config`, `options`): `Promise`\<`void`\>

Defined in: [application.ts:90](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L90)

#### Parameters

##### config

`ConfigService`

##### options

`Config`

#### Returns

`Promise`\<`void`\>

***

### loadConfig()

> `protected` **loadConfig**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:102](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L102)

#### Parameters

##### environment

`Environment`

#### Returns

`Promise`\<`void`\>

***

### prepareConfig()

> `abstract` `protected` **prepareConfig**(`config`): `void`

Defined in: [application.ts:110](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L110)

#### Parameters

##### config

`Config`

#### Returns

`void`

***

### prepareEnvironment()

> `protected` **prepareEnvironment**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:106](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L106)

#### Parameters

##### environment

`Environment`

#### Returns

`Promise`\<`void`\>
